Package org.eclipse.m2m.atl.emftvm

# Interface ModelFactory

All Known Implementing Classes:
  `CDOModelFactoryImpl`, `ModelFactoryImpl`

public interface ModelFactory
Interface for `Resource`-specific `Model` factory objects.

## Method Summary

Modifier and Type
Method
Description
`Metamodel`
`createMetamodel(org.eclipse.emf.ecore.resource.Resource resource)`
Creates a new `Metamodel` for the given `Resource`.
`Model`
`createModel(org.eclipse.emf.ecore.resource.Resource resource)`
Creates a new `Model` for the given `Resource`.

## Method Details

### createModel

Model createModel(org.eclipse.emf.ecore.resource.Resource resource)
Creates a new `Model` for the given `Resource`.

Parameters:
  `resource` - the `Resource` to wrap
Returns:
  a new `Model`

### createMetamodel

Metamodel createMetamodel(org.eclipse.emf.ecore.resource.Resource resource)
Creates a new `Metamodel` for the given `Resource`.

Parameters:
  `resource` - the `Resource` to wrap
Returns:
  a new `Metamodel`